///File : DialogMultiCfgManager.hpp
//------------------------------------------------------------------------------
/*
    This file is part of DevisMaker.

    DevisMaker is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    DevisMaker is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with DevisMaker.  If not, see <http://www.gnu.org/licenses/>.
*/
//------------------------------------------------------------------------------
#if not defined DIALOG_MULTI_CFG_MANAGER_HPP_DEVIS_MAKER
#define DIALOG_MULTI_CFG_MANAGER_HPP_DEVIS_MAKER

//------------------------------------------------------------------------------
#include "wx/wxprec.h"

#ifdef __BORLANDC__
    #pragma hdrstop
#endif

#ifndef WX_PRECOMP
    #include "wx/wx.h"
#endif
//------------------------------------------------------------------------------
#include "config.hpp"
#include "buildVersionOptions.hpp"
//------------------------------------------------------------------------------
#include <ItemSectionDBBase.hpp>
//------------------------------------------------------------------------------
#include "DialogInfoGeneral.hpp"
#include "findFile.hpp"
//------------------------------------------------------------------------------
#include <wx/listctrl.h>
#include <wx/event.h>
#include <wx/wupdlock.h>
//------------------------------------------------------------------------------
#include "strWxStdConv.hpp"

#if defined USE_MULTIPLE_CONFIG

//------------------------------------------------------------------------------
//-                               DialogMultiCfgManager                                   -
//------------------------------------------------------------------------------
class DialogMultiCfgManager : public wxDialog
{
public:
    DialogMultiCfgManager(wxWindow* parent, wxWindowID id, GeneralCfg *generalCfg, const wxString &title = _("General propreties manager"), const wxPoint& pos = wxDefaultPosition, const wxSize& size = wxSize(450, 400), long style = wxDEFAULT_DIALOG_STYLE);

    // Events
    void OnCopy(wxEvent& event);
    void OnRemove(wxEvent& event);
    void OnSetDefault(wxEvent& event);
    void OnEdit(wxEvent& event);
    void OnSelectCfg(wxEvent& event);

    void OnListSelect(wxEvent& event);
    void OnListKeyDown(wxKeyEvent& event);

    void FeedTbl();
    void RefreshBt();

protected:
    GeneralCfg *m_generalCfg;

    wxListBox *m_list;

    wxButton *m_btCopy, *m_btRemove, *m_btSetDefault, *m_btEdit, *m_btSelect;
};

//------------------------------------------------------------------------------
#endif //#if defined USE_MULTIPLE_CONFIG


#endif //DIALOG_MULTI_CFG_MANAGER_HPP_DEVIS_MAKER
